com.io7m.jpra.runtime.java

## Interface JPRATypeModelType.JPRAScalarMatcherType<A,E extends Exception>

- Type Parameters:
    `A` - The type of returned values
    `E` - The type of raised exceptions
  Enclosing interface:
    JPRATypeModelType

      public static interface JPRATypeModelType.JPRAScalarMatcherType<A,E extends Exception>

  The type of `jpra` scalar type matchers.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `A` | `onFloat(JPRATypeModelType.JPRAFloatType t)` Match a float type.
    `A` | `onIntegerSigned(JPRATypeModelType.JPRAIntegerSignedType t)` Match a signed integer type.
    `A` | `onIntegerSignedNormalized(JPRATypeModelType.JPRAIntegerSignedNormalizedType t)` Match a signed normalized integer type.
    `A` | `onIntegerUnsigned(JPRATypeModelType.JPRAIntegerUnsignedType t)` Match an unsigned integer type.
    `A` | `onIntegerUnsignedNormalized(JPRATypeModelType.JPRAIntegerUnsignedNormalizedType t)` Match an unsigned normalized integer type.

- - ### Method Detail

    - #### onFloat

          A onFloat(JPRATypeModelType.JPRAFloatType t)
             throws E extends Exception

      Match a float type.
      Parameters:
        `t` - The type
      Returns:
        A value of `A`
      Throws:
        `E` - If required
        `E extends Exception`

    - #### onIntegerSigned

          A onIntegerSigned(JPRATypeModelType.JPRAIntegerSignedType t)
                     throws E extends Exception

      Match a signed integer type.
      Parameters:
        `t` - The type
      Returns:
        A value of `A`
      Throws:
        `E` - If required
        `E extends Exception`

    - #### onIntegerUnsigned

          A onIntegerUnsigned(JPRATypeModelType.JPRAIntegerUnsignedType t)
                       throws E extends Exception

      Match an unsigned integer type.
      Parameters:
        `t` - The type
      Returns:
        A value of `A`
      Throws:
        `E` - If required
        `E extends Exception`

    - #### onIntegerSignedNormalized

          A onIntegerSignedNormalized(JPRATypeModelType.JPRAIntegerSignedNormalizedType t)
                               throws E extends Exception

      Match a signed normalized integer type.
      Parameters:
        `t` - The type
      Returns:
        A value of `A`
      Throws:
        `E` - If required
        `E extends Exception`

    - #### onIntegerUnsignedNormalized

          A onIntegerUnsignedNormalized(JPRATypeModelType.JPRAIntegerUnsignedNormalizedType t)
                                 throws E extends Exception

      Match an unsigned normalized integer type.
      Parameters:
        `t` - The type
      Returns:
        A value of `A`
      Throws:
        `E` - If required
        `E extends Exception`

Copyright © 2015 <code@io7m.com> http://io7m.com